#
# - Find GDAL
# Find the native GDAL includes and library
#
#  GDAL_INCLUDE_DIRS - where to find sqlite/connection.hpp, etc.
#  GDAL_LIBRARIES    - List of libraries when using gdal.
#  GDAL_FOUND        - True if gdal found.


IF (GDAL_INCLUDE_DIRS)
  # Already in cache, be silent
  SET(GDAL_FIND_QUIETLY TRUE)
ENDIF (GDAL_INCLUDE_DIRS)

FIND_PATH(GDAL_INCLUDE_DIR gdal/gdal.h)

SET(GDAL_NAMES gdal)
FIND_LIBRARY(GDAL_LIBRARY NAMES ${GDAL_NAMES} )

# handle the QUIETLY and REQUIRED arguments and set VSQLITE_FOUND to TRUE if 
# all listed variables are TRUE
INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(GDAL DEFAULT_MSG GDAL_LIBRARY GDAL_INCLUDE_DIR)

IF(GDAL_FOUND)
  SET( GDAL_LIBRARIES ${GDAL_LIBRARY} )
  SET( GDAL_INCLUDE_DIRS ${GDAL_INCLUDE_DIR} )
ELSE(GDAL_FOUND)
  SET( GDAL_LIBRARIES )
  SET( GDAL_INCLUDE_DIRS )
ENDIF(GDAL_FOUND)

MARK_AS_ADVANCED( GDAL_LIBRARIES GDAL_INCLUDE_DIRS )
